#!/bin/bash

RES=1

case "$1" in
    start)
        echo "Starting $2"
        VBoxManagestartvm '"$2"' --type headless &
        RES=$?
    ;;
    stop)
        echo "Shutting down $2"
        VBoxManagecontrolvm '"$2"' poweroff
        RES=$?
    ;;
    acpistop)
        echo "Poweroff ACPI $2"
        VBoxManagecontrolvm '"$2"' acpipowerbutton
        RES=$?
    ;;
    restart)
        echo "Restarting $2"
        VBoxManagecontrolvm '"$2"' reset
        RES=$?
    ;;

    savestate)
        echo "Saving state $2"
        VBoxManagecontrolvm '"$2"' savestate
        RES=$?
    ;;
    status)
	echo "Checking status of $2"
        OUT=$(VBoxManagelist runningvms")
        ON=$(echo $OUT | grep -c "$2")

        RES=0
        if [[ $ON == "0" ]]
        then
            RES=1
        fi
    ;;
    *)
        echo "Usage: $0 {start|stop|acpistop|restart|savestate|status}"
        exit 1
esac

exit $RES

